Skip to content

Fetch the details of a content post

Request

Read an existing content record. Returns a single record by identifier or by the content UUID. Upon enabling expanded reaction types, the response will include the additional reaction types.

Security
oauth2_as_a_user(Required scopes: content.read) or oauth2_as_a_server(Required scopes: content.read)
Path
content_idintegerrequired

ID of the detailed content post

Query
replace_image_blocksboolean

Replace image blocks object with image URLs

curl -i -X GET \
  'https://partner.socialchorus.com/v2/content/{content_id}?replace_image_blocks=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataobject(Reactions.Fields)required

Reaction counts and expanded reaction types for a post.

Response
{ "data": { "id": 456, "version": 1, "uuid": "8b358e6b-11d4-4e89-bf7f-ec670e3398ed", "content_type": "article", "cover_image_alt": "Image of an elephant", "permalink_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "title": "Example Article Title", "summary": "Example article summary", "body": "Example article body", "state": "published", "accent_color": "#ae2225", "featured_label": "Save Pandora!", "featured": false, "author": {}, "channels": [], "source": {}, "template": {}, "visibility": "public", "shareable_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "language": "en", "is_translatable": true, "is_commentable": true, "comment_count": 5, "created_at": "2000-01-01T00:00:00Z", "updated_at": "2000-01-01T00:00:00Z", "published_at": "2000-01-01T00:00:00Z", "links": [], "images": [], "image_blocks": [], "videos": [], "initiatives": [], "reaction_counts": {}, "expanded_reactions": [] } }